Loading...
Searching...
No Matches
mbedtls_ssl_tls13_application_secrets Struct Reference

`#include <ssl.h>`

## Data Fields

unsigned char | client_application_traffic_secret_N [MBEDTLS_TLS1_3_MD_MAX_SIZE]
unsigned char | server_application_traffic_secret_N [MBEDTLS_TLS1_3_MD_MAX_SIZE]
unsigned char | exporter_master_secret [MBEDTLS_TLS1_3_MD_MAX_SIZE]
unsigned char | resumption_master_secret [MBEDTLS_TLS1_3_MD_MAX_SIZE]

## Detailed Description

Definition at line 1172 of file ssl.h.

## Field Documentation

## client_application_traffic_secret_N

unsigned char mbedtls_ssl_tls13_application_secrets::client_application_traffic_secret_N[MBEDTLS_TLS1_3_MD_MAX_SIZE]

Definition at line 1173 of file ssl.h.

## exporter_master_secret

unsigned char mbedtls_ssl_tls13_application_secrets::exporter_master_secret[MBEDTLS_TLS1_3_MD_MAX_SIZE]

Definition at line 1175 of file ssl.h.

## resumption_master_secret

unsigned char mbedtls_ssl_tls13_application_secrets::resumption_master_secret[MBEDTLS_TLS1_3_MD_MAX_SIZE]

Definition at line 1176 of file ssl.h.

## server_application_traffic_secret_N

unsigned char mbedtls_ssl_tls13_application_secrets::server_application_traffic_secret_N[MBEDTLS_TLS1_3_MD_MAX_SIZE]

Definition at line 1174 of file ssl.h.

The documentation for this struct was generated from the following file:

- ssl.h